﻿var InvalidDefaultPassword = "";
var InvalidChangeDefaultPassword = "";
var InvalidPasswordFormat = "";

//info
function devinfolang()
{
}

//common
function but_homelang()
{
    try{
        switch (m_szLanguage) {
            case "en":
                InvalidDefaultPassword = "The incorrect default password was entered. The password sensitive. Please try again.";
                InvalidChangeDefaultPassword = "You must change the default password of the camera.";
                InvalidPasswordFormat = "The password must be between 8 and 16 characters(Alphanumeric: a-z, A-Z, 0-9, !, @, #, $)";
                document.getElementById("but_home").innerHTML='Home';
                break;
            case "fr":
                InvalidDefaultPassword = "Le mot de passe par défaut incorrect a été entré. Le mot de passe sensible. S\'il vous plaît essayer de nouveau.";
                InvalidChangeDefaultPassword = "Vous devez changer le mot de passe par défaut de la caméra.";
                InvalidPasswordFormat = "Saisissez le mot de passe nouveau: il doit avoir entre 8 et 16 caractères(Alphanumérique: a-z, A-Z, 0-9, !, @, #, $)";
                document.getElementById("but_home").innerHTML='Accueil';
                break;
            case "es":
                InvalidDefaultPassword = "La contraseña predeterminada incorrecta se ingresó. La contraseña sensible. Inténtelo de nuevo, por favor.";
                InvalidChangeDefaultPassword = "Debe cambiar la contraseña predeterminada de la cámara.";
                InvalidPasswordFormat = "Introduzca su contraseña de nuevo: debe tener entre 8 y 16 caracteres(Alfanuméricos: a-z, A-Z, 0-9, !, @, #, $)";
                document.getElementById("but_home").innerHTML='Inicio';
                break;
            case "ru":
                InvalidDefaultPassword = "Неправильный пароль по умолчанию был введен.Пароль чувствительны к регистру. Пожалуйста, попробуйте еще раз.";
                InvalidChangeDefaultPassword = "Необходимо изменить заданный нами пароль камеры.";
                InvalidPasswordFormat = "Введите новый пароль: он должен содержать 8 - 16 символов(буквы ицифры: a-z, A-Z, 0-9, !, @, #, $)";
                document.getElementById("but_home").innerHTML='Главная';
                break;
            case "de":
                InvalidDefaultPassword = "Das Standard-Passwort nicht korrekt eingegeben wurde. Das Passwort sensibel. Bitte versuchen Sie es erneut.";
                InvalidChangeDefaultPassword = "Sie müssen das Standard-Passwort der Kamera ändern.";
                InvalidPasswordFormat = "Geben Sie das neue Passwort ein: muss zwischen 8 und 16 Zeichen lang sein(alphanumerisch: a-z, A-Z, 0-9, !, @, #, $)";
                document.getElementById("but_home").innerHTML='Start';
                break;
        }
    }catch(error){
    }
}
function but_backlang()
{
    switch (m_szLanguage) {
        case "en":
            document.getElementById("but_back").innerHTML='Back';
            break;
        case "fr":
            document.getElementById("but_back").innerHTML='Précédent';
            break;
        case "es":
            document.getElementById("but_back").innerHTML='Átras';
            break;
        case "ru":
            document.getElementById("but_back").innerHTML='Назад';
            break;
        case "de":
            document.getElementById("but_back").innerHTML='Zurück';
            break;
    }
}
function but_nextlang()
{
    switch (m_szLanguage) {
        case "en":
            document.getElementById("but_next").innerHTML='Next';
            break;
        case "fr":
            document.getElementById("but_next").innerHTML='Suivant';
            break;
        case "es":
            document.getElementById("but_next").innerHTML='Siguiente';
            break;
        case "ru":
            document.getElementById("but_next").innerHTML='Далее';
            break;
        case "de":
            document.getElementById("but_next").innerHTML='Weiter';
            break;
    }
}
function but_retrylang()
{
    switch (m_szLanguage) {
        case "en":
            document.getElementById("but_retry").innerHTML='Retry';
            break;
        case "fr":
            document.getElementById("but_retry").innerHTML='Réessayer';
            break;
        case "es":
            document.getElementById("but_retry").innerHTML='Reintentar';
            break;
        case "ru":
            document.getElementById("but_retry").innerHTML='Повторить';
            break;
        case "de":
            document.getElementById("but_retry").innerHTML='Scan';
            break;
    }
}
function but_finishlang()
{
    switch (m_szLanguage) {
        case "en":
            document.getElementById("but_finish").innerHTML='Finish';
            break;
        case "fr":
            document.getElementById("but_finish").innerHTML='Fin';
            break;
        case "es":
            document.getElementById("but_finish").innerHTML='Finalizar';
            break;
        case "ru":
            document.getElementById("but_finish").innerHTML='Готово';
            break;
        case "de":
            document.getElementById("but_finish").innerHTML='Fertig stellen';
            break;
    }
}

//mac.html
function maclang()
{
    switch (m_szLanguage) {
        case "en":
            document.getElementById("mac_title").innerHTML='Write down the MAC address of your camera';
            document.getElementById("mac_text").innerHTML='This information is required in the installation process. The MAC address is located on the camera label (shown in photo below).';
            break;
        case "fr":
            document.getElementById("mac_title").innerHTML='Saisissez l’adresse MAC de votre caméra.';
            document.getElementById("mac_text").innerHTML='Cette information est nécessaire dans le processus d’installation. L’adresse MAC est indiquée au verso de la caméra IP (présentée dans la figure suivante).';
            break;
        case "es":
            document.getElementById("mac_title").innerHTML='Anote la dirección MAC de la cámara';
            document.getElementById("mac_text").innerHTML='Esta información es necesaria en el proceso de instalación. La dirección MAC se encuentra en la parte posterior de la cámara IP (que se muestra en la foto de abajo).'
            break;
        case "ru":
            document.getElementById("mac_title").innerHTML='Записать MAC-адрес вашей камеры';
            document.getElementById("mac_text").innerHTML='Данная информация необходима в ходе установки. МАС-адрес записан  на задней стороне ИП-камеры (пример представлен на нижеуказанном рисунок).';
            break;
        case "de":
            document.getElementById("mac_title").innerHTML='Notieren Sie die MAC-Adresse Ihrer Kamera';
            document.getElementById("mac_text").innerHTML='Diese Information ist bei der Installation notwending. Die MAC-Adresse befindet sich hinter Ihrer IP-Kamera (wie im folgenden Bild angezeigt).';
            break;
    }
}

//power.html
function powerlang()
{
    switch (m_szLanguage) {
        case "en":
            document.getElementById("power_title").innerHTML='Power up the camera';
            document.getElementById("power_text").innerHTML='If using PoE to supply power to the camera, please skip to the next step.<br><br>Plug in and connect the power adapter to the camera. The green LED on the camera indicates it is powered. Allow 60 seconds for the camera to boot up.';
            break;
        case "fr":
            document.getElementById("power_title").innerHTML='Allumez la caméra';
            document.getElementById("power_text").innerHTML='Laissez la caméra pour 60 secondes à s\'initialiser.';
            break;
        case "es":
            document.getElementById("power_title").innerHTML='Encender la cámara';
            document.getElementById("power_text").innerHTML='Espere 60 segundos para que la cámara se haya iniciado.'
            break;
        case "ru":
            document.getElementById("power_title").innerHTML='Включите камеру';
            document.getElementById("power_text").innerHTML='Оставлять камеру на 60 секунд для инициализации. ';
            break;
        case "de":
            document.getElementById("power_title").innerHTML='Schalten Sie die Kamera ein';
            document.getElementById("power_text").innerHTML='Lassen Sie die Kamera, um 60 Sekunden zu booten';
            break;
    }
}

//ethernet.html
function ethernetlang()
{
    switch (m_szLanguage) {
        case "en":
            document.getElementById("ethernet_title").innerHTML='Connect the network cable';
            document.getElementById("ethernet_text").innerHTML='Connect a network cable to the camera\'s network port to your PoE Switch.The power LED will be on in red. Allow 60 seconds for the camera to boot up.';
            break;
        case "fr":
            document.getElementById("ethernet_title").innerHTML='Branchement du câble réseau';
            document.getElementById("ethernet_text").innerHTML='Branchez un câble réseau vers le port du réseau de la caméra et ensuite àvotre PoE switch.  Le voyant d\'alimentation sera dans le rouge.  Laissez la caméra pour 60 secondes à s\'initialiser.';
            break;
        case "es":
            document.getElementById("ethernet_title").innerHTML='Conecte el cable de red';
            document.getElementById("ethernet_text").innerHTML='Conecte un cable de red al puerto de red de la cámara y luego a su PoE Switch.  El LED de alimentación se encenderá en rojo. Espere 60 segundospara que la cámara se haya iniciado.';
            break;
        case "ru":
            document.getElementById("ethernet_title").innerHTML='Подключение сетевого кабеля';
            document.getElementById("ethernet_text").innerHTML='Подключить сетевой кабель к сетевому порту камеры и затем к PoE коммутатор. Индикатор питания будет на красным цветом. Оставлять камеру на 60 секунд дляинициализации. ';
            break;
        case "de":
            document.getElementById("ethernet_title").innerHTML='Schließen Sie das Netzwerkkabel an';
            document.getElementById("ethernet_text").innerHTML='Ein Netzwerkkabel mit dem Netzwerk-Port der Kamera und dann mit Ihrem PoE-Switch anschließen.  Die Power-LED auf rot sein.  Lassen Sie die Kamera, um 60 Sekunden zu booten';
            break;
    }
}

//search.html
function searchlang()
{
    switch (m_szLanguage) {
        case "en":
            document.getElementById("search_title").innerHTML='Please wait while the wizard searches for your camera.';
            document.getElementById("search_text").innerHTML='';
            break;
        case "fr":
            document.getElementById("search_title").innerHTML='Veuillez patienter jusqu’à ce que l’assistant cherche votre caméra.';
            document.getElementById("search_text").innerHTML='';
            break;
        case "es":
            document.getElementById("search_title").innerHTML='Por favor, espere mientras el asistente busca para su cámara.';
            document.getElementById("search_text").innerHTML='';
            break;
        case "ru":
            document.getElementById("search_title").innerHTML='Просим Вас подождать, в то время, когда программное обеспечение ищет вашу камеру';
            document.getElementById("search_text").innerHTML='';
            break;
        case "de":
            document.getElementById("search_title").innerHTML='Warten Sie bis der Experte nach Ihrer Kamera sucht.';
            document.getElementById("search_text").innerHTML='';
            break;
    }
}

//setup.html
function setuplang()
{
    switch (m_szLanguage) {
        case "en":
            document.getElementById("setup_title").innerHTML='Camera setup in progress.';
            document.getElementById("setup_text").innerHTML='';
            break;
        case "fr":
            document.getElementById("setup_title").innerHTML='Configuration de la caméra en cours.';
            document.getElementById("setup_text").innerHTML='';
            break;
        case "es":
            document.getElementById("setup_title").innerHTML='Configuración de la cámara en marcha.';
            document.getElementById("setup_text").innerHTML='';
            break;
        case "ru":
            document.getElementById("setup_title").innerHTML='Установка камеры в прогресс.';
            document.getElementById("setup_text").innerHTML='';
            break;
        case "de":
            document.getElementById("setup_title").innerHTML='Kamera-Setup im Gange.';
            document.getElementById("setup_text").innerHTML='';
            break;
    }
}

//notfound.html
function notfountdlang()
{
    switch (m_szLanguage) {
        case "en":
            document.getElementById("notfound_title").innerHTML='Camera not found';
            document.getElementById("notfound_text").innerHTML='Please confirm that the camera is powered up, confirm your computer is connected to your network, and then click the Retry button.';
            break;
        case "fr":
            document.getElementById("notfound_title").innerHTML='Caméra non détectée';
            document.getElementById("notfound_text").innerHTML='Assurez-vous d’avoir allumé la caméra, d’avoir l’ordinateur connecté au réseau et ensuite cliquez sur le bouton Nouvel essai.';
            break;
        case "es":
            document.getElementById("notfound_title").innerHTML='La cámara no se ha encontrado';
            document.getElementById("notfound_text").innerHTML='Por favor, confirme que la cámara se enciende, compruebe el equipo está conectado a la red, y luego haga clic en el botón Reintentar.';
            break;
        case "ru":
            document.getElementById("notfound_title").innerHTML='Необнаруженная камера';
            document.getElementById("notfound_text").innerHTML='Проверте, что включили камеру,а  компьютер подключён к сети и затем нажмите кнопку Повтор.';
            break;
        case "de":
            document.getElementById("notfound_title").innerHTML='Kamera wurde nicht gefunden';
            document.getElementById("notfound_text").innerHTML='Bestätigen Sie, dass die Kamera eingeschaltet ist, dass der Computer mit dem Netzwerk verbunden ist und klicken Sie dann auf die Schaltfläche Wiederholen.';
            break;
    }
}

//list.html
function listlang()
{
    switch (m_szLanguage) {
        case "en":
            document.getElementById("list_title").innerHTML='Select your camera';
            document.getElementById("list_text").innerHTML='The following cameras were detected on your network. Check the MAC address of the IP Camera you are going to setup and select it from the list.';
            document.getElementById("list_model").innerHTML='Model';
            document.getElementById("list_mac").innerHTML='Mac Address';
            document.getElementById("list_text2").innerHTML='If you don\'t see your camera\'s MAC address: confirm that the camera is powered up, confirm your computer is connected to your network, and then click the Retry button.';
            break;
        case "fr":
            document.getElementById("list_title").innerHTML='Sélectionnez la caméra';
            document.getElementById("list_text").innerHTML='Les caméras suivantes ont été détectées dans votre réseau. Identifiez l’adresse MAC de la Caméra IP que vous installez et sélectionnez-la de la liste.';
            document.getElementById("list_model").innerHTML='Modèle';
            document.getElementById("list_mac").innerHTML='Adresse MAC';
            document.getElementById("list_text2").innerHTML='Si vous ne trouvez pas l’adresse MAC dans la liste: Assurez-vous d’avoir allumé la caméra, d’avoir l’ordinateur connecté au réseau et ensuite cliquez sur le bouton Nouvel essai.';
            break;
        case "es":
            document.getElementById("list_title").innerHTML='Seleccione la cámara';
            document.getElementById("list_text").innerHTML='Las siguientes cámaras fueron detectados en la red. Compruebe la dirección MAC de la cámara IP que se va a configurar y seleccione de la lista.';
            document.getElementById("list_model").innerHTML='Modelo';
            document.getElementById("list_mac").innerHTML='dirección MAC';
            document.getElementById("list_text2").innerHTML='Si usted no ve la dirección MAC de la cámara: confirma que la cámara está encendida, compruebe el equipo está conectado a la red, y luego haga clic en el botón Reintentar.';
            break;
        case "ru":
            document.getElementById("list_title").innerHTML='Выбрать камеру';
            document.getElementById("list_text").innerHTML='Следующие камеры были обнаружены в вашей сети. Найти МАС-адрес ИП-камеры,находящейся в ходе установки, и выбрать её из списка';
            document.getElementById("list_model").innerHTML='Модель';
            document.getElementById("list_mac").innerHTML='МАС-адрес';
            document.getElementById("list_text2").innerHTML='Если не наидёте МАС-адрес в списке:Но вы проверили, что включили камеру, компьютер подключен к сети и затем нажмить кнопку Повтор.';
            break;
        case "de":
            document.getElementById("list_title").innerHTML='Wählen Sie Ihre Kamera aus';
            document.getElementById("list_text").innerHTML='Die folgenden Kameras wurden auf Ihrem Netzwerk gefunden. Prüfen Sie die MAC-Adresse der zu konfigurierenden IP-Kamera, und wählen Sie sie aus der Liste aus.';
            document.getElementById("list_model").innerHTML='Modell';
            document.getElementById("list_mac").innerHTML='MAC-Adresse';
            document.getElementById("list_text2").innerHTML='Wenn Sie die MAC-Adresse Ihrer Kamera nicht sehen können: bestätigen Sie, dass die Kamera eingeschaltet ist, dass eine Verbindung zwischen dem Computer und dem Netzwerk hergestellt wurde, und  klicken Sie dann auf die Schaltfläche Wiederholen.';
            break;
    }
}

//network.html
function networklang()
{
    switch (m_szLanguage) {
        case "en":
            document.getElementById("network_title").innerHTML='Select a Connection Option';
            document.getElementById("network_text").innerHTML='Please select a connection option based on your network environment. If you do not know which connection option to choose, select DHCP.';
            document.getElementById("network_dhcp_title").innerHTML='DHCP';
            document.getElementById("network_dhcp_text").innerHTML='Select this option if your camera is connected to a router and DHCP is enabled';
            document.getElementById("network_static_title").innerHTML='Fixed IP';
            document.getElementById("network_static_text").innerHTML='Select this option if you want to configure the camera with a static IP address';
            break;
        case "fr":
            document.getElementById("network_title").innerHTML='Choisissez une option de connexion';
            document.getElementById("network_text").innerHTML='S\'il vous plaît choisir une option de connexion en fonction de votre environnement réseau. Si vous ne savez pas quelle option de connexion à choisir, sélectionner DHCP.';
            document.getElementById("network_dhcp_title").innerHTML='DHCP';
            document.getElementById("network_dhcp_text").innerHTML='Sélectionnez cette option si votre appareil est connecté à un routeur et DHCP est activé';
            document.getElementById("network_static_title").innerHTML='IP fixe';
            document.getElementById("network_static_text").innerHTML='Sélectionnez cette option si vous souhaitez configurer l\'appareil avec une adresse IP statique';
            break;
        case "es":
            document.getElementById("network_title").innerHTML='Seleccione una opción de conexión';
            document.getElementById("network_text").innerHTML='Por favor seleccione una opción de conexión en función del entorno de red. Si usted no sabe qué opción de conexión a elegir, seleccione DHCP.';
            document.getElementById("network_dhcp_title").innerHTML='DHCP';
            document.getElementById("network_dhcp_text").innerHTML='Seleccione esta opción si la cámara está conectada a un router y DHCP está activado';
            document.getElementById("network_static_title").innerHTML='IP fija';
            document.getElementById("network_static_text").innerHTML='Seleccione esta opción si desea configurar la cámara con una dirección IP estática';
            break;
        case "ru":
            document.getElementById("network_title").innerHTML='Выберите вариант подключения';
            document.getElementById("network_text").innerHTML='Пожалуйста, выберите вариант подключения на основе сетевого окружения. Если вы не знаете, какой вариант подключения выбрать, выберите DHCP.';
            document.getElementById("network_dhcp_title").innerHTML='DHCP';
            document.getElementById("network_dhcp_text").innerHTML='Выберите этот вариант, если камера подключена к маршрутизатору и DHCP включен';
            document.getElementById("network_static_title").innerHTML='Фиксированный IP';
            document.getElementById("network_static_text").innerHTML='Выберите этот вариант, если вы хотите настроить камеру со статическим адресом IP';
            break;
        case "de":
            document.getElementById("network_title").innerHTML='Wählen Sie einen Anschluss Option';
            document.getElementById("network_text").innerHTML='Bitte wählen Sie eine Anschlussmöglichkeit auf Ihrer Netzwerkumgebung. Wenn Sie nicht wissen, welche Verbindung Möglichkeit zu wählen, wählen Sie DHCP.';
            document.getElementById("network_dhcp_title").innerHTML='DHCP';
            document.getElementById("network_dhcp_text").innerHTML='Wählen Sie diese Option, wenn Sie die Kamera an einen Router angeschlossen ist und DHCP aktiviert ist';
            document.getElementById("network_static_title").innerHTML='Feste IP';
            document.getElementById("network_static_text").innerHTML='Wählen Sie diese Option, wenn Sie die Kamera mit einer statischen IP-Adresse konfigurieren möchten';
            break;
    }
}

//static.html
function staticlang()
{
    switch (m_szLanguage) {
        case "en":
            document.getElementById("static_title").innerHTML='Fixed IP Address Setup';
            document.getElementById("static_text").innerHTML='Please input the correct network address information.';
            document.getElementById("static_ip").innerHTML='IP Address';
            document.getElementById("static_mask").innerHTML='Subnet Mask';
            document.getElementById("static_gw").innerHTML='Default Gateway';
            document.getElementById("static_dns1").innerHTML='Primary DNS';
            document.getElementById("static_dns2").innerHTML='Secondary DNS';
            break;
        case "fr":
            document.getElementById("static_title").innerHTML='Configuration de l\'adresse IP fixe';
            document.getElementById("static_text").innerHTML='S\'il vous plaît entrer les informations d\'adresse réseau correcte.';
            document.getElementById("static_ip").innerHTML='Adresse IP';
            document.getElementById("static_mask").innerHTML='Masque de sous-réseau';
            document.getElementById("static_gw").innerHTML='Passerelle par défaut';
            document.getElementById("static_dns1").innerHTML='DNS primaire';
            document.getElementById("static_dns2").innerHTML='DNS secondaire';
            break;
        case "es":
            document.getElementById("static_title").innerHTML='Configuración de la dirección IP fija';
            document.getElementById("static_text").innerHTML='Por favor, introduzca la información correcta dirección de red.';
            document.getElementById("static_ip").innerHTML='Dirección IP';
            document.getElementById("static_mask").innerHTML='Máscara de subred';
            document.getElementById("static_gw").innerHTML='Puerta de enlace predeterminada';
            document.getElementById("static_dns1").innerHTML='DNS primario';
            document.getElementById("static_dns2").innerHTML='DNS secundario';
            break;
        case "ru":
            document.getElementById("static_title").innerHTML='Фиксированные настройки IP-адреса';
            document.getElementById("static_text").innerHTML='Пожалуйста, введите правильную информацию сетевому адресу.';
            document.getElementById("static_ip").innerHTML='IP-адрес';
            document.getElementById("static_mask").innerHTML='Маска подсети';
            document.getElementById("static_gw").innerHTML='шлюз по умолчанию';
            document.getElementById("static_dns1").innerHTML='первичный DNS';
            document.getElementById("static_dns2").innerHTML='Secondary DNS';
            break;
        case "de":
            document.getElementById("static_title").innerHTML='Feste IP-Adressen-Setup';
            document.getElementById("static_text").innerHTML='Bitte geben Sie das richtige Netzwerk-Adresse ein.';
            document.getElementById("static_ip").innerHTML='IP-Adresse';
            document.getElementById("static_mask").innerHTML='Subnet Mask';
            document.getElementById("static_gw").innerHTML='Default Gateway';
            document.getElementById("static_dns1").innerHTML='primären DNS';
            document.getElementById("static_dns2").innerHTML='Secondary DNS';
            break;
    }
}

//muser.html
function muserlang()
{
    switch (m_szLanguage) {
        case "en":
            document.getElementById("muser_title").innerHTML='Change password';
            document.getElementById("muser_text").innerHTML='You <b>MUST</b> change the default password of the camera.';
            document.getElementById("muser_text2").innerHTML='Enter the default password: admin';
            document.getElementById("muser_text3").innerHTML='Enter your new password: must be between 8 and 16 characters.(Alphanumeric:a-z, A-Z, 0-9, !, @, #, $)';
            document.getElementById("muser_admin_id_title").innerHTML='Admin ID';
            document.getElementById("muser_admin_pass_title").innerHTML='Password';
            document.getElementById("muser_change_pass_title").innerHTML='Change Password';
            document.getElementById("muser_new_pass_title").innerHTML='New password';
            document.getElementById("muser_confirm_new_pass_title").innerHTML='Confirm new password';
            break;
        case "fr":
            document.getElementById("muser_title").innerHTML='changer le mot de passe';
            document.getElementById("muser_text").innerHTML='Vous devez changer le mot de passe par défaut de la caméra.';
            document.getElementById("muser_text2").innerHTML='Saisissez le mot de passe par défaut: admin';
            document.getElementById("muser_text3").innerHTML="Saisissez le mot de passe nouveau: il doit avoir entre 8 et 16 caractères(Alphanumérique: a-z, A-Z, 0-9, !, @, #, $)";
            document.getElementById("muser_admin_id_title").innerHTML='Admin ID';
            document.getElementById("muser_admin_pass_title").innerHTML='Passe';
            document.getElementById("muser_change_pass_title").innerHTML='Changer le mot de passe';
            document.getElementById("muser_new_pass_title").innerHTML='Mot de passe nouveau';
            document.getElementById("muser_confirm_new_pass_title").innerHTML='Confirmer le mot de passe nouveau';
            break;
        case "es":
            document.getElementById("muser_title").innerHTML='cambiar la contraseña';
            document.getElementById("muser_text").innerHTML='Debe cambiar la contraseña predeterminada de la cámara.';
            document.getElementById("muser_text2").innerHTML='Introduzca la contraseña predeterminada:admin';
            document.getElementById("muser_text3").innerHTML="Introduzca su contraseña de nuevo: debe tener entre 8 y 16 caracteres Ingrese su nueva contraseña:( Alfanuméricos: a-z, A-Z, 0-9, !, @, #, $)";
            document.getElementById("muser_admin_id_title").innerHTML='ID de administrador';
            document.getElementById("muser_admin_pass_title").innerHTML='contraseña';
            document.getElementById("muser_change_pass_title").innerHTML='Cambiar contraseña';
            document.getElementById("muser_new_pass_title").innerHTML='Nueva contraseña';
            document.getElementById("muser_confirm_new_pass_title").innerHTML='Confirmar nueva contraseña';
            break;
        case "ru":
            document.getElementById("muser_title").innerHTML='сменить пароль';
            document.getElementById("muser_text").innerHTML='Необходимо изменить заданный нами пароль камеры.';
            document.getElementById("muser_text2").innerHTML='Внесите пароль заданный нами: admin';
            document.getElementById("muser_text3").innerHTML="Введите новый пароль: он должен содержать 8 - 16 символов(буквы ицифры: a-z, A-Z, 0-9, !, @, #, $)";
            document.getElementById("muser_admin_id_title").innerHTML='ID администратора';
            document.getElementById("muser_admin_pass_title").innerHTML='пароля ';
            document.getElementById("muser_change_pass_title").innerHTML='Изменение пароля';
            document.getElementById("muser_new_pass_title").innerHTML='Новый пароль';
            document.getElementById("muser_confirm_new_pass_title").innerHTML='Подтверждение нового пароля';
            break;
        case "de":
            document.getElementById("muser_title").innerHTML='Kennwort ändern';
            document.getElementById("muser_text").innerHTML='Sie müssen das Standard-Passwort der Kamera ändern.';
            document.getElementById("muser_text2").innerHTML='Geben Sie das Standard-Passwort ein: admin';
            document.getElementById("muser_text3").innerHTML="Geben Sie das neue Passwort ein: muss zwischen 8 und 16 Zeichen langsein (alphanumerisch: a-z, A-Z, 0-9, !, @, #, $)";
            document.getElementById("muser_admin_id_title").innerHTML='Admin-ID';
            document.getElementById("muser_admin_pass_title").innerHTML='Passwort ';
            document.getElementById("muser_change_pass_title").innerHTML='Passwort ändern';
            document.getElementById("muser_new_pass_title").innerHTML='Neue Passwort';
            document.getElementById("muser_confirm_new_pass_title").innerHTML='Neues Passwort bestätigen';
            break;
    }
}

//setupfail.html
function setupfaillang()
{
    switch (m_szLanguage) {
        case "en":
            document.getElementById("setupfail_title").innerHTML='Settings could not be applied to the camera.';
            document.getElementById("setupfail_text").innerHTML='Check network connectivity and click Retry.';
            break;
        case "fr":
            document.getElementById("setupfail_title").innerHTML='Paramètres ne peuvent pas être appliqués à l\'appareil photo.';
            document.getElementById("setupfail_text").innerHTML='Vérifiez la connectivité réseau et cliquez sur Réessayer.';
            break;
        case "es":
            document.getElementById("setupfail_title").innerHTML='Los ajustes no se podrían aplicar a la cámara.';
            document.getElementById("setupfail_text").innerHTML='Compruebe la conectividad de red y haga clic en Reintentar.';
            break;
        case "ru":
            document.getElementById("setupfail_title").innerHTML='Настройки не применяются к камере.';
            document.getElementById("setupfail_text").innerHTML='Проверьте сетевое подключение и нажмите кнопку Повторить.';
            break;
        case "de":
            document.getElementById("setupfail_title").innerHTML='Einstellungen konnten nicht auf die Kamera angewendet werden.';
            document.getElementById("setupfail_text").innerHTML='Überprüfen Sie die Netzwerkverbindung, und klicken Sie auf Wiederholen.';
            break;
    }
}

//plugin.html
function pluginlang()
{
    switch (m_szLanguage) {
        case "en":
            document.getElementById("plugin_title").innerHTML='Browser Plug-ins';
            document.getElementById("plugin_text").innerHTML='Additional plug-ins are required if you are using a web browser other than Internet Explorer. Please ckick "Install" next to your operating system version to start the installation. After you complete the plug-in installation, chick "Next".';
            document.getElementById("plugin_text32").innerHTML='Windows 32-bit';
            document.getElementById("but_plugin32").innerHTML='Install';
            document.getElementById("plugin_text64").innerHTML='Windows 64-bit';
            document.getElementById("but_plugin64").innerHTML='Install';
            break;
        case "fr":
            document.getElementById("plugin_title").innerHTML='Navigateur Plug-in';
            document.getElementById("plugin_text").innerHTML='Additional plug-ins are required if you are using a web browser other than Internet Explorer. Please ckick "Install" next to your operating system version to start the installation. After you complete the plug-in installation, chick "Next".';
            document.getElementById("plugin_text32").innerHTML='Windows 32-bit';
            document.getElementById("but_plugin32").innerHTML='installer';
            document.getElementById("plugin_text64").innerHTML='Windows 64-bit';
            document.getElementById("but_plugin64").innerHTML='installer';
            break;
        case "es":
            document.getElementById("plugin_title").innerHTML='Navegador Plugin';
            document.getElementById("plugin_text").innerHTML='Additional plug-ins are required if you are using a web browser other than Internet Explorer. Please ckick "Install" next to your operating system version to start the installation. After you complete the plug-in installation, chick "Next".';
            document.getElementById("plugin_text32").innerHTML='Windows 32-bit';
            document.getElementById("but_plugin32").innerHTML='instale';
            document.getElementById("plugin_text64").innerHTML='Windows 64-bit';
            document.getElementById("but_plugin64").innerHTML='instale';
            break;
        case "ru":
            document.getElementById("plugin_title").innerHTML='Плагины для браузеров';
            document.getElementById("plugin_text").innerHTML='Additional plug-ins are required if you are using a web browser other than Internet Explorer. Please ckick "Install" next to your operating system version to start the installation. After you complete the plug-in installation, chick "Next".';
            document.getElementById("plugin_text32").innerHTML='Windows 32-bit';
            document.getElementById("but_plugin32").innerHTML='устанавливать';
            document.getElementById("plugin_text64").innerHTML='Windows 64-bit';
            document.getElementById("but_plugin64").innerHTML='устанавливать';
            break;
        case "de":
            document.getElementById("plugin_title").innerHTML='Browser Plug-ins';
            document.getElementById("plugin_text").innerHTML='Additional plug-ins are required if you are using a web browser other than Internet Explorer. Please ckick "Install" next to your operating system version to start the installation. After you complete the plug-in installation, chick "Next".';
            document.getElementById("plugin_text32").innerHTML='Windows 32-bit';
            document.getElementById("but_plugin32").innerHTML='Installieren';
            document.getElementById("plugin_text64").innerHTML='Windows 64-bit';
            document.getElementById("but_plugin64").innerHTML='Installieren';
            break;
    }
}

//finish.html
function finishlang()
{
    switch (m_szLanguage) {
        case "en":
            document.getElementById("finish_title").innerHTML='Initial setup is complete!';
            document.getElementById("finish_text").innerHTML='<b>Local access from your computer</b>';
            document.getElementById("finish_text2").innerHTML='&#8226; To access the camera now, click <a id=ohereurl></a>.';
            document.getElementById("finish_text3").innerHTML='If DHCP Mode selected: In this mode, the camera\'s IP Address may change. To find the camera\'s current IP address for future access, click the above link.';
            break;
        case "fr":
            document.getElementById("finish_title").innerHTML='L’installation initiale est complète!';
            document.getElementById("finish_text").innerHTML='<b>Accès local depuis votre ordinateur</b>';
            document.getElementById("finish_text2").innerHTML='&#8226; Pour accéder maintenant à la caméra, cliquez <a id=ohereurl></a>.';
            document.getElementById("finish_text3").innerHTML='Si le mode DHCP sélectionné: Dans ce mode, l\'adresse IP de la caméra peut changer. Pour trouver IP actuelle de la caméra';
            break;
        case "es":
            document.getElementById("finish_title").innerHTML='La configuración inicial se ha completad!';
            document.getElementById("finish_text").innerHTML='<b>Acceso local desde su equipo</b>';
            document.getElementById("finish_text2").innerHTML='&#8226; Para acceder a la cámara ahora, haga clic  <a id=ohereurl></a>.';
            document.getElementById("finish_text3").innerHTML='Si selecciona el modo DHCP: En este modo, la dirección IP de la cámara puede cambiar. Para encontrar IP actual de la cámara';
            break;
        case "ru":
            document.getElementById("finish_title").innerHTML='Первоначальная установка завершена!';
            document.getElementById("finish_text").innerHTML='<b>Локальный доступ с ПК</b>';
            document.getElementById("finish_text2").innerHTML='&#8226; Для доступа к камере, нажмите  <a id=ohereurl></a>.';
            document.getElementById("finish_text3").innerHTML='Если выбран режим DHCP: В этом режиме IP-адрес камеры может измениться. Чтобы узнать текущий IP-камеры';
            break;
        case "de":
            document.getElementById("finish_title").innerHTML='Die urprüngliche Konfiguration ist abgeschlossen!';
            document.getElementById("finish_text").innerHTML='<b>Lokaler Zugriff von Ihrem PC</b>';
            document.getElementById("finish_text2").innerHTML='&#8226; Klicken Sie  <a id=ohereurl></a>.';
            document.getElementById("finish_text3").innerHTML='Wenn DHCP-Modus ausgewählt ist: In diesem Modus kann die Kamera die IP-Adresse ändern. Um die Kamera die aktuelle IP-finden';
            break;
    }
}

//finish2.html
function finish2lang()
{
    switch (m_szLanguage) {
        case "en":
            document.getElementById("finish2_title").innerHTML='Congratulations! The camera is now ready to be installed in its final location.';
            document.getElementById("finish2_text").innerHTML='Thank you for choosing TRENDnet!<br>Please install video streaming plug-in when you are prompted by the web browser.';
            document.getElementById("finish2_text2").innerHTML='Mobile App';
            document.getElementById("finish2_text3").innerHTML='Please take a moment to download our free TRENDnetVIEW App.<br>Scan the QR codes or search for \"TRENDnetVIEW\" in the Apple App Store or at Google Play (for Android devices).';
            document.getElementById("finish2_text4").innerHTML='Apple';
            document.getElementById("finish2_text5").innerHTML='Android';
            break;
        case "fr":
            document.getElementById("finish2_title").innerHTML='Félicitations! Maintenant la caméra est prête à être installée dans la location définitive.';
            document.getElementById("finish2_text").innerHTML='Veuillez installer le plug-in de diffusion vidéo lorsque le navigateur internet vous le sollicite.';
            document.getElementById("finish2_text2").innerHTML='<b>Mobile App</b>';
            document.getElementById("finish2_text3").innerHTML='Veuillez patienter jusqu’au téléchargement de l’application gratuite TRENDnetVIEW App. Scannez les codes QR ou cherchez \"TRENDnetVIEW\" en Apple App Store ou à Google Play (pour les dispositifs Android).';
            document.getElementById("finish2_text4").innerHTML='Apple';
            document.getElementById("finish2_text5").innerHTML='Android';
            break;
        case "es":
            document.getElementById("finish2_title").innerHTML='¡Felicitaciones! La cámara está ahora listo para ser instalado en su ubicación definitiva';
            document.getElementById("finish2_text").innerHTML='Por favor, instale el plugin de difusión por vídeo cuando se le pregunta por el navegador web ';
            document.getElementById("finish2_text2").innerHTML='<b>Aplicación Móvil</b>';
            document.getElementById("finish2_text3").innerHTML='Por favor tome un momento para descargar gratis nuestro aplicación TRENDnetVIEW. Escanee los códigos QR o busca \"TRENDnetVIEW\" en la App Store de Apple o en Google Play (para dispositivos Android).';
            document.getElementById("finish2_text4").innerHTML='Apple';
            document.getElementById("finish2_text5").innerHTML='Android';
            break;
        case "ru":
            document.getElementById("finish2_title").innerHTML='Поздравляем! Сейчас камера готова  для установки в окончательном месторасположении.';
            document.getElementById("finish2_text").innerHTML='Просим Вас установить Подключаемый модуль для передачи потокового видео, когда Веб-браузер просит Вас это.';
            document.getElementById("finish2_text2").innerHTML='<b>Приложение Для Мобильных Устройств</b>';
            document.getElementById("finish2_text3").innerHTML='Просим Вас обратить внимание и загрузить наш  бесплатное мобильное приложение для программного обеспечения TRENDnetVIEW. Вы можете Сканировать QR код или найти \"TRENDnetVIEW\" в Apple App Store или в Google Play (для приспособлений Андроид).';
            document.getElementById("finish2_text4").innerHTML='Apple';
            document.getElementById("finish2_text5").innerHTML='Android';
            break;
        case "de":
            document.getElementById("finish2_title").innerHTML='Herzlichen Glückwunsch! Die Kamera ist jetzt für die Installation in ihrer letzten Position bereit.';
            document.getElementById("finish2_text").innerHTML='Installieren Sie das Video-Streaming-Plug-in, wenn Sie von dem Web-Browser aufgefordert werden.';
            document.getElementById("finish2_text2").innerHTML='<b>mobile App</b>';
            document.getElementById("finish2_text3").innerHTML='Bitte nehmen Sie sich einen Augenblick Zeit und laden Sie unsere kostenlose TRENDnetVIEW-App herunter. Durchsuchen Sie die QR-Codes oder suchen Sie nach \"TRENDnetVIEW\" in dem Apple App Store oder bei Google Play (für Android-Geräte).';
            document.getElementById("finish2_text4").innerHTML='Apple';
            document.getElementById("finish2_text5").innerHTML='Android';
            break;
    }
}
